package betterquesting.questing;

import betterquesting.api.questing.IQuestLineEntry;
import net.minecraft.nbt.NBTTagCompound;

/* loaded from: betterquesting_questing.jar:betterquesting/questing/QuestLineEntry.class */
public class QuestLineEntry implements IQuestLineEntry {
    private int sizeX;
    private int sizeY;
    private int posX;
    private int posY;

    public QuestLineEntry(NBTTagCompound json) {
        this.sizeX = 0;
        this.sizeY = 0;
        this.posX = 0;
        this.posY = 0;
        readFromNBT(json);
    }

    public QuestLineEntry(int x, int y) {
        this(x, y, 24, 24);
    }

    @Deprecated
    public QuestLineEntry(int x, int y, int size) {
        this.sizeX = 0;
        this.sizeY = 0;
        this.posX = 0;
        this.posY = 0;
        this.sizeX = size;
        this.sizeY = size;
        this.posX = x;
        this.posY = y;
    }

    public QuestLineEntry(int x, int y, int sizeX, int sizeY) {
        this.sizeX = 0;
        this.sizeY = 0;
        this.posX = 0;
        this.posY = 0;
        this.sizeX = sizeX;
        this.sizeY = sizeY;
        this.posX = x;
        this.posY = y;
    }

    @Deprecated
    public int getSize() {
        return Math.max(getSizeX(), getSizeY());
    }

    public int getSizeX() {
        return this.sizeX;
    }

    public int getSizeY() {
        return this.sizeY;
    }

    public int getPosX() {
        return this.posX;
    }

    public int getPosY() {
        return this.posY;
    }

    public void setPosition(int posX, int posY) {
        this.posX = posX;
        this.posY = posY;
    }

    @Deprecated
    public void setSize(int size) {
        this.sizeX = size;
        this.sizeY = size;
    }

    public void setSize(int sizeX, int sizeY) {
        this.sizeX = sizeX;
        this.sizeY = sizeY;
    }

    public NBTTagCompound writeToNBT(NBTTagCompound json) {
        json.func_74768_a("sizeX", this.sizeX);
        json.func_74768_a("sizeY", this.sizeY);
        json.func_74768_a("x", this.posX);
        json.func_74768_a("y", this.posY);
        return json;
    }

    public void readFromNBT(NBTTagCompound json) {
        if (json.func_150297_b("size", 99)) {
            this.sizeX = json.func_74762_e("size");
            this.sizeY = this.sizeX;
        } else {
            this.sizeX = json.func_74762_e("sizeX");
            this.sizeY = json.func_74762_e("sizeY");
        }
        this.posX = json.func_74762_e("x");
        this.posY = json.func_74762_e("y");
    }
}
